AngleDimensionAttributes Class |
The AngleDimensionAttributes class contains the attributes for angle dimensions.
Inheritance Hierarchy
SystemObject
Tekla.Structures.DrawingAttributesBase
Tekla.Structures.DrawingDimensionSetBaseAttributes
Tekla.Structures.DrawingAngleDimensionAttributes
Tekla.Structures.DrawingAttributesBase
Tekla.Structures.DrawingDimensionSetBaseAttributes
Tekla.Structures.DrawingAngleDimensionAttributes
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.3
Syntax
The AngleDimensionAttributes type exposes the following members.
Constructors
Name | Description | |
---|---|---|
AngleDimensionAttributes |
Creates a new angle dimension attributes instance which loads standard attributes.
| |
AngleDimensionAttributes(String) |
Creates a new angle dimension attributes instance that loads the specified attributes.
|
Properties
Name | Description | |
---|---|---|
Arrowhead |
The arrowhead attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.) | |
Color |
The color of the dimension line.
(Inherited from DimensionSetBaseAttributes.) | |
Format |
The format attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.) | |
Placing |
The placing attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.) | |
Text |
The text attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.) | |
TransparentBackground |
The dimension text background transparency. (transparent/opaque)
(Inherited from DimensionSetBaseAttributes.) | |
TriangleBase |
Gets or sets the triangle base length which controls the base dimension
shown for bevel dimensions (only if Type is AngleTypes.Triangle).
| |
Type |
The type of the angle.
|
Methods
Name | Description | |
---|---|---|
IsEqual |
Compares the current object with an object of the same type.
(Overrides AttributesBaseIsEqual(Object).) | |
LoadAttributes |
Loads attributes from the attribute file.
(Overrides AttributesBaseLoadAttributes(String).) |
Examples
using Tekla.Structures.Drawing; public class Example { public void Example1() { AngleDimensionAttributes attributes = new AngleDimensionAttributes("MyAttributes"); } }
See Also